#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	B
%define		pnam	COW
Summary:	B::COW - additional B helpers to check COW status
Summary(pl.UTF-8):	B::COW - dodatkowe funkcje pomocnicze B do sprawdzania stanu COW
Name:		perl-B-COW
Version:	0.007
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/B/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7afc46f19e6f906e2ba5769b21fca5ff
URL:		https://metacpan.org/dist/B-COW
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
B::COW provides some naive additional B helpers to check the COW
(Copy On Write) status of one SvPV. COWed SvPV is sharing its string
(the PV) with other SvPVs. It's a (kind of) Read Only C string, that
would be Copied On Write (COW).

%description -l pl.UTF-8
B::COW udostępnia kilka prostych, dodatkowych funkcji pomocniczych B
do sprawdzania stanu COW (Copy On Write). Kopiowany przy zapisie SvPV
współdzieli swój łańcuch znaków (PV) z innymi SvPV. Jest to rodzaj
łańucha znaków C tylko do odczytu, który zostałby skopiowany przy
zapisie (Copied On Write).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes 
%{perl_vendorarch}/B/COW.pm
%dir %{perl_vendorarch}/auto/B/COW
%attr(755,root,root) %{perl_vendorarch}/auto/B/COW/COW.so
%{_mandir}/man3/B::COW.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-B-COW.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 4ba9b28
- perl 5.40.0 rebuild

* Tue Aug 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 1eb094d
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 26c6af6
- perl 5.38.0 rebuild

* Fri Nov 04 2022 Jakub Bogusz <qboosh@pld-linux.org> e6832c7
- updated to 0.007

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 3d9e9a9
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 5cfc33c
- rebuild with perl 5.34.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> fec9b31
- updated to 0.004

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> a33d4d7
- rebuild with perl 5.32

* Wed Apr 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 90ec0b0
- new

